package net.peachjean.restmx.console.model;

import com.google.common.collect.ImmutableMap;

import java.util.List;
import java.util.Map;

public class MxListModel extends MxModel {
	private final List<? extends Object> list;

	public MxListModel(final String label, final String templateName, final List<? extends Object> list) {
		super(label, false, templateName);
		this.list = list;
	}

	@Override
	public Map<String, Object> getModel() {
		return ImmutableMap.<String, Object>of("items", list);
	}
}
