package net.peachjean.restmx.console.model;

import java.util.Map;

public abstract class MxModel {
	private final String label;
	private final boolean leaf;
	private final String templateName;

	public MxModel(final String label, final boolean leaf, final String templateName) {
		this.label = label;
		this.leaf = leaf;
		this.templateName = templateName;
	}

	public String getLabel() {
		return label;
	}

	public abstract Map<String, Object> getModel();

	public boolean isLeaf() {
		return this.leaf;
	}

	public String getTemplateName() {
		return templateName;
	}
}
